import os
import getpass

# Default silecs version - used when silecs cli is used without installation to directory by build_and_install script
DEFAULT_SILECS_VERSION = ""

USER = getpass.getuser()
SILECSDESIGN = "silecsdesign"
SILECSDEPLOY = "silecsdeploy"
DESIGN = "design"
DEPLOY = "deploy"

# FESA specific variables
try:
    FESA_VERSION=(os.environ['FESA_VERSION'])
except KeyError:
    FESA_VERSION="7.4.0"

FESA_BASE=f"/opt/fesa/fesa-fwk/{FESA_VERSION}"
FESA_XSD=f"{FESA_BASE}/fesa-model-gsi/xml/deployment/deployment-gsi.xsd"
FESA_GSI_TEMPLATE=f"{FESA_BASE}/fesa-model-gsi/xml/design/templates/GSIClassTemplate.xml"

# Silecs modules needed to import to generate code
SILECS_MODULES = ["genparam", "genplcsrc", "genduwrapper", "fillFESADeployUnit", "generateFesaDesign", "generateSourceCode"]

# Release param directory for releasing silecs parameter file
try:
    RELEASE_PARAM_DIR=(os.environ['RELEASE_PARAM_DIR'])
except KeyError:
    RELEASE_PARAM_DIR="/common/export/fesa/local"